SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::Table::FilterQuery Struct Reference

`#include <slikenet/DS_Table.h>`

## Public Member Functions

| FilterQuery ()
| ~FilterQuery ()
| FilterQuery (unsigned column, Cell *cell, FilterQueryType op)

## Public Attributes

char | columnName [_TABLE_MAX_COLUMN_NAME_LENGTH]
unsigned | columnIndex
Cell * | cellValue
FilterQueryType | operation

## Detailed Description

Definition at line 156 of file DS_Table.h.

## Constructor & Destructor Documentation

Table::FilterQuery::FilterQuery | ( |  | ) |

Definition at line 574 of file DS_Table.cpp.

Table::FilterQuery::~FilterQuery | ( |  | ) |

Definition at line 578 of file DS_Table.cpp.

Table::FilterQuery::FilterQuery | ( | unsigned | column,
|  | Cell * | cell,
|  | FilterQueryType | op
| ) |  |

Definition at line 582 of file DS_Table.cpp.

## Member Data Documentation

Cell* DataStructures::Table::FilterQuery::cellValue

Definition at line 165 of file DS_Table.h.

Referenced by SLNet::TableSerializer::DeserializeFilterQuery(), SLNet::TableSerializer::DeserializeFilterQueryList(), DataStructures::Table::QueryRow(), and SLNet::TableSerializer::SerializeFilterQuery().

unsigned DataStructures::Table::FilterQuery::columnIndex

Definition at line 164 of file DS_Table.h.

Referenced by SLNet::TableSerializer::DeserializeFilterQuery(), DataStructures::Table::QueryTable(), and SLNet::TableSerializer::SerializeFilterQuery().

char DataStructures::Table::FilterQuery::columnName[_TABLE_MAX_COLUMN_NAME_LENGTH]

Definition at line 163 of file DS_Table.h.

Referenced by SLNet::TableSerializer::DeserializeFilterQuery(), and SLNet::TableSerializer::SerializeFilterQuery().

FilterQueryType DataStructures::Table::FilterQuery::operation

Definition at line 166 of file DS_Table.h.

Referenced by SLNet::TableSerializer::DeserializeFilterQuery(), and SLNet::TableSerializer::SerializeFilterQuery().

The documentation for this struct was generated from the following files:

- Source/include/slikenet/DS_Table.h
- Source/src/DS_Table.cpp